hpp-statistics: hpp::statistics::Statistics< T > Class Template Reference

hpp-statistics 9.0.2 Classes for doing statistics.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | List of all members
hpp::statistics::Statistics< T > Class Template Reference

`#include <hpp/statistics/bin.hh>`

## Public Types
typedef std::list< T > | Container
typedef Container::iterator | iterator
typedef Container::const_iterator | const_iterator

## Public Member Functions
virtual std::size_t | freq (const T &bin) const
virtual Proba_t | relativeFreq (const T &bin) const
std::size_t | numberOfObservations () const
unsigned int | numberOfBins () const
| Return the number of bins.
virtual std::ostream & | print (std::ostream &os) const
| Put the results in a stream.
const_iterator | find (const T &bin) const
template<typename U >
const_iterator | find (const U &value) const
const_iterator | begin () const
const_iterator | end () const
void | clear ()
| Remove all element.

## Protected Member Functions
| Statistics ()
| Constructor.
virtual T & | increment (const T &bin) __attribute__((deprecated))
virtual iterator | insert (const T &bin)

## Detailed Description

template<typename T>
class hpp::statistics::Statistics< T >

Template class to do statistics. You should derivate class Bin and construct a class Statistics < YourBin >.

## Member Typedef Documentation

## ◆ const_iterator

template<typename T >

typedef Container::const_iterator hpp::statistics::Statistics< T >::const_iterator

## ◆ Container

template<typename T >

typedef std::list<T> hpp::statistics::Statistics< T >::Container

## ◆ iterator

template<typename T >

typedef Container::iterator hpp::statistics::Statistics< T >::iterator

## Constructor & Destructor Documentation

## ◆ Statistics()

template<typename T >

hpp::statistics::Statistics< T >::Statistics | ( |  | ) |
| protected

Constructor.

## Member Function Documentation

## ◆ begin()

template<typename T >

const_iterator hpp::statistics::Statistics< T >::begin | ( |  | ) | const
| inline

Return an iterator pointing at the beginning of the set of bins.

## ◆ clear()

template<typename T >

void hpp::statistics::Statistics< T >::clear | ( |  | ) |
| inline

Remove all element.

## ◆ end()

template<typename T >

const_iterator hpp::statistics::Statistics< T >::end | ( |  | ) | const
| inline

Return an iterator pointing at the end of the set of bins.

## ◆ find() [1/2]

template<typename T >

Statistics< T >::const_iterator hpp::statistics::Statistics< T >::find | ( | const T & | bin | ) | const

## ◆ find() [2/2]

template<typename T >
template<typename U >

Statistics< T >::const_iterator hpp::statistics::Statistics< T >::find | ( | const U & | value | ) | const

## ◆ freq()

template<typename T >

size_t hpp::statistics::Statistics< T >::freq | ( | const T & | bin | ) | const
| virtual

Return the number of occurence of a Bin.

Parameters

  bin | a Bin for which only the value is useful.

Note
  It searches for the equivalent Bin is the set and returns the frequency of the result.

## ◆ increment()

template<typename T >

T & hpp::statistics::Statistics< T >::increment | ( | const T & | bin | ) |
| protectedvirtual

Increment a Bin

Note
  bin is inserted in the set of bins if it was not already in the set.

## ◆ insert()

template<typename T >

Statistics< T >::iterator hpp::statistics::Statistics< T >::insert | ( | const T & | bin | ) |
| protectedvirtual

insert a Bin.

Note
  bin is inserted in the set of bins if it was not already in the set.

## ◆ numberOfBins()

template<typename T >

unsigned int hpp::statistics::Statistics< T >::numberOfBins | ( |  | ) | const
| inline

Return the number of bins.

## ◆ numberOfObservations()

template<typename T >

std::size_t hpp::statistics::Statistics< T >::numberOfObservations | ( |  | ) | const
| inline

Return the number of times an observation has recorded. It is the total number of observations.

## ◆ print()

template<typename T >

std::ostream & hpp::statistics::Statistics< T >::print | ( | std::ostream & | os | ) | const
| virtual

Put the results in a stream.

## ◆ relativeFreq()

template<typename T >

Proba_t hpp::statistics::Statistics< T >::relativeFreq | ( | const T & | bin | ) | const
| virtual

Return the relative frequency of a Bin.

Parameters

  bin | a Bin for which only the value is useful.

Note
  It searches for the equivalent Bin is the set and returns the frequency of the result.

The documentation for this class was generated from the following file:

- include/hpp/statistics/bin.hh